/**
 * OW2 Specifications
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JDBCConnectionStats.java 4359 2008-12-10 10:24:40Z sauthieg $
 * --------------------------------------------------------------------------
 */

package javax.management.j2ee.statistics;
 
/**
 * Specifies the statistics provided by all (pooled and non-pooled)
 * JDBC connections.
 * @author Guillaume Sauthier
 */
public interface JDBCConnectionStats extends Stats {

    /**
     * @return Identifies the JDBC driver for the corresponding
     *         JDBCConnection.
     */
    String getJdbcDataSource();
    
    /**
     * @return Time spent waiting for a connection to be available.
     */
    TimeStatistic getWaitTime();
    
    /**
     * @return Time spent using a connection.
     */
    TimeStatistic getUseTime();
}
